package com.wechat.service;

import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.beust.jcommander.internal.Lists;
import com.wechat.dao.MdeHotelBrandDao;
import com.wechat.model.dbEntity.MdeHotelBrand;
import com.wechat.model.dto.HotelBrandDto;

@Service
public class MdeHotelBrandService {

	@Resource
	private MdeHotelBrandDao mdeHotelBrandDao;

	// 根据国际区分获取酒店品牌
	public List<MdeHotelBrand> getHotelByInternational(Map<String, String> map) {
		return mdeHotelBrandDao.getHotelByInternational(map);
	}

	/**
	 * 获取所有酒店品牌并分组
	 * @param language 语言类型
	 * @return
	 */
	public List<HotelBrandDto> getAllHotelInternational(String language) {
		List<HotelBrandDto> listHotelDto = Lists.newArrayList();
		HotelBrandDto hotelDto = new HotelBrandDto();
		List<MdeHotelBrand> list = mdeHotelBrandDao.getAllHotelInternational(language);
		// 0.所有
		hotelDto.setInternational("0");
		hotelDto.setListHotelBrand(list);
		listHotelDto.add(hotelDto);
		// 1.国际
		List<MdeHotelBrand> list1 = Lists.newArrayList();

		// 2.国内
		List<MdeHotelBrand> list2 = Lists.newArrayList();
		for (MdeHotelBrand mdeHotelBrand : list) {
			if (mdeHotelBrand.getInternational().equals("1")) {
				list1.add(mdeHotelBrand);
			}

			if (mdeHotelBrand.getInternational().equals("2")) {
				list2.add(mdeHotelBrand);
			}
		}
		HotelBrandDto hotelDto1 = new HotelBrandDto();
		hotelDto1.setInternational("1");
		hotelDto1.setListHotelBrand(list1);
		listHotelDto.add(hotelDto1);
		HotelBrandDto hotelDto2 = new HotelBrandDto();
		hotelDto2.setInternational("2");
		hotelDto2.setListHotelBrand(list2);
		listHotelDto.add(hotelDto2);
		return listHotelDto;
	}
}
